
/* Brands Section */
#brands {
    margin-top: 0;
    background: white;
    height: auto;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 50px 20px;
    overflow-x: hidden;
}

/* Shared Animation Class */
.fade-in {
    opacity: 0;
    transform: translateY(50px);
    transition: opacity 1s ease-out, transform 1s cubic-bezier(0.34, 1.56, 0.64, 1);
}

/* Kapag visible na, papasok yung animation */
.fade-in.show {
    opacity: 1;
    transform: translateY(0);
}



/* Brand Name Styling */
.brandname {
    font-size: 2.2rem;
    letter-spacing: 1px;
    margin-bottom: 20px;
    color: black;
    font-weight: 700;
    text-align: center;
}

/* Swiper Container */
.brand-swiper-container {
    width: 18%;
    height: 70%;
    padding: 40px 0;
    margin-top: 30px;
}

/* Swiper Slide */
.swiper-slide {
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 10px;
    overflow: hidden;
    box-shadow: 0 4px 15px rgba(0, 0, 0, 0.314);
    transition: transform 0.3s ease;
    padding: 18px;
    background-color: white;
    cursor: pointer;
}

/* Swiper Slide Images */
.swiper-slide img {
    width: 120px;
    height: 120px;
    object-fit: contain;
    border-radius: 10px;
    transition: transform 0.3s ease-in-out;
    display: block; /* Ensure it's treated as a block element */
    margin: auto; /* Auto margins for centering */
}

/* Hover Effect */
.swiper-slide:hover img {
    transform: scale(1.1) rotate(2deg);
}


/*  Responsive Design */
@media screen and (max-width: 1024px) {
    .brandname {
        font-size: 2rem;
    }

    .brand-swiper-container {
        width: 30%;
    }

    .swiper-slide img {
        width: 100px;
        height: 100px;
    }
}

@media screen and (max-width: 768px) {
    .brandname {
        font-size: 1.8rem;
    }

    .brand-swiper-container {
        width: 30%;
    }

    .swiper-slide {
        padding: 12px;
    }

    .swiper-slide img {
        width: 90px;
        height: 90px;
    }
}

@media screen and (max-width: 480px) {
    .brandname {
        font-size: 1.6rem;
    }

    .brand-swiper-container {
        width: 50%;
    }

    .swiper-slide {
        padding: 10px;
    }

    .swiper-slide img {
        width: 80px;
        height: 80px;
    }
}

@media screen and (max-width: 375px) {
    .brandname {
        font-size: 1.6rem;
    }

    .brand-swiper-container {
        width: 50%;
    }

    .swiper-slide {
        padding: 10px;
    }

    .swiper-slide img {
        width: 80px;
        height: 80px;
    }
}